GLVTypeBEndomorphism (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.math.ec.endo

## Class GLVTypeBEndomorphism

- java.lang.Object
- - org.bouncycastle.math.ec.endo.GLVTypeBEndomorphism

- All Implemented Interfaces:
    ECEndomorphism, GLVEndomorphism

      public class GLVTypeBEndomorphism
      extends java.lang.Object
      implements GLVEndomorphism

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ECCurve` | `curve`
    `protected GLVTypeBParameters` | `parameters`
    `protected ECPointMap` | `pointMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GLVTypeBEndomorphism(ECCurve curve, GLVTypeBParameters parameters)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.math.BigInteger` | `calculateB(java.math.BigInteger k, java.math.BigInteger g, int t)`
    `java.math.BigInteger[]` | `decomposeScalar(java.math.BigInteger k)`
    `ECPointMap` | `getPointMap()`
    `boolean` | `hasEfficientPointMap()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### curve

          protected final ECCurve curve

    - #### parameters

          protected final GLVTypeBParameters parameters

    - #### pointMap

          protected final ECPointMap pointMap

  - ### Constructor Detail

    - #### GLVTypeBEndomorphism

          public GLVTypeBEndomorphism(ECCurve curve,
                              GLVTypeBParameters parameters)

  - ### Method Detail

    - #### decomposeScalar

          public java.math.BigInteger[] decomposeScalar(java.math.BigInteger k)

      Specified by:
        `decomposeScalar` in interface `GLVEndomorphism`

    - #### getPointMap

          public ECPointMap getPointMap()

      Specified by:
        `getPointMap` in interface `ECEndomorphism`

    - #### hasEfficientPointMap

          public boolean hasEfficientPointMap()

      Specified by:
        `hasEfficientPointMap` in interface `ECEndomorphism`

    - #### calculateB

          protected java.math.BigInteger calculateB(java.math.BigInteger k,
                                        java.math.BigInteger g,
                                        int t)